'pretext.utils' has no attribute 'exit_command'

8 views
Skip to first unread message

Petra Bonfert-Taylor

unread,
Sep 13, 2022, 10:19:55 AM9/13/22
to PreTeXt support
After a lengthy hiatus I am finally back in the game and wanted to start out by upgrading the CLI (was still on 0.7). Sadly something went amiss and pretext is no longer working at all. Here is an example:

pretext --version            

Traceback (most recent call last):

  File "/Users/dz00762/Library/Python/3.8/bin/pretext", line 5, in <module>

    from pretext.cli import main

  File "/Users/dz00762/Library/Python/3.8/lib/python/site-packages/pretext/cli.py", line 30, in <module>

    atexit.register(utils.exit_command, mh)

AttributeError: module 'pretext.utils' has no attribute 'exit_command'


Can anyone help? Thanks- Petra

Petra Bonfert-Taylor

unread,
Sep 13, 2022, 10:27:55 AM9/13/22
to PreTeXt support
Okay, may have found the problem but don't know how to go about fixing it. Somehow I seem to have multiple versions of python on my computer and the one that is used by pretext appears to be 3.8. Typing "which python3" returns /opt/homebrew/bin/python3 so I seem to have a newer version also. But that's in a totally different path so do I need to uninstall pretext and start from scratch? 

Thanks- Petra

Oscar Levin

unread,
Sep 13, 2022, 11:59:23 AM9/13/22
to pretext...@googlegroups.com
I would try doing pip3 uninstall pretext, and pip3 uninstall pretextbook.  Also python3 -m pip uninstall pretext (and pretextbook).  

Then try pip3 install pretext. 

--
You received this message because you are subscribed to the Google Groups "PreTeXt support" group.
To unsubscribe from this group and stop receiving emails from it, send an email to pretext-suppo...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/pretext-support/cf7ce71b-f7df-4dfd-a4a9-667d6264f396n%40googlegroups.com.

Petra Bonfert-Taylor

unread,
Sep 13, 2022, 1:02:02 PM9/13/22
to pretext...@googlegroups.com
That did the trick! Thank you so much!!

Now on to trying to understand all of the new pretext error messages…

Thanks- Petra

You received this message because you are subscribed to a topic in the Google Groups "PreTeXt support" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/pretext-support/3Yf7143Ozq4/unsubscribe.
To unsubscribe from this group and all its topics, send an email to pretext-suppo...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/pretext-support/CAOU9BaXqMse-nt4VvR7sEYDvu5KtDXrjiu%3DeF2d6YdcRWeRjkw%40mail.gmail.com.

Reply all
Reply to author
Forward
0 new messages